Skills
Delete a specific version of a skill
Removes the specified version of a skill.
Параметры пути
name
string
обязательно
The name of the skill.
version
string
обязательно
The version identifier to delete.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Ответы
The request has succeeded.
Текст
id
string
обязательно
The unique identifier of the deleted skill version.
name
string
обязательно
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
обязательно
Whether the skill version was successfully deleted.
version
string
обязательно
The version that was deleted.
Запрос
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json